Overview | Modules | Class Hierarchy | Classes | Members

Classes | Public Member Functions | Friends
tlp::PropertyObserver Class Reference
Properties

Observer for Property. More...

`#include <ObservableProperty.h>`

Collaboration diagram for tlp::PropertyObserver:
[legend]

List of all members.

## Classes

- class RealPropertyObserver

## Public Member Functions

- PropertyObserver ()
- virtual ~PropertyObserver ()
- PropertyObserver (const PropertyObserver &)
- PropertyObserver & operator= (const PropertyObserver &)
- virtual void beforeSetNodeValue (PropertyInterface *, const node)
- virtual void afterSetNodeValue (PropertyInterface *, const node)
- virtual void beforeSetEdgeValue (PropertyInterface *, const edge)
- virtual void afterSetEdgeValue (PropertyInterface *, const edge)
- virtual void beforeSetAllNodeValue (PropertyInterface *)
- virtual void afterSetAllNodeValue (PropertyInterface *)
- virtual void beforeSetAllEdgeValue (PropertyInterface *)
- virtual void afterSetAllEdgeValue (PropertyInterface *)
- virtual void destroy (PropertyInterface *)

## Friends

- class PropertyInterface
- class Observergraph

## Detailed Description

Observer for Property.

The Observer pattern is described in the lecture notes and pp293-304 of Design Patterns by Gamma, Helm, Johnson, and Vlissides. It is a framework for handling state dependency between observer and observed object.

## Constructor & Destructor Documentation

tlp::PropertyObserver::PropertyObserver | ( |  | ) | `[inline]`

virtual tlp::PropertyObserver::~PropertyObserver | ( |  | ) | `[inline, virtual]`

tlp::PropertyObserver::PropertyObserver | ( | const PropertyObserver & |  | ) | `[inline]`

## Member Function Documentation

virtual void tlp::PropertyObserver::afterSetAllEdgeValue | ( | PropertyInterface * |  | ) | `[inline, virtual]`

virtual void tlp::PropertyObserver::afterSetAllNodeValue | ( | PropertyInterface * |  | ) | `[inline, virtual]`

virtual void tlp::PropertyObserver::afterSetEdgeValue | ( | PropertyInterface * | ,
|  | const edge |
| ) |  | `[inline, virtual]`

virtual void tlp::PropertyObserver::afterSetNodeValue | ( | PropertyInterface * | ,
|  | const node |
| ) |  | `[inline, virtual]`

virtual void tlp::PropertyObserver::beforeSetAllEdgeValue | ( | PropertyInterface * |  | ) | `[inline, virtual]`

virtual void tlp::PropertyObserver::beforeSetAllNodeValue | ( | PropertyInterface * |  | ) | `[inline, virtual]`

virtual void tlp::PropertyObserver::beforeSetEdgeValue | ( | PropertyInterface * | ,
|  | const edge |
| ) |  | `[inline, virtual]`

virtual void tlp::PropertyObserver::beforeSetNodeValue | ( | PropertyInterface * | ,
|  | const node |
| ) |  | `[inline, virtual]`

virtual void tlp::PropertyObserver::destroy | ( | PropertyInterface * |  | ) | `[inline, virtual]`

PropertyObserver& tlp::PropertyObserver::operator= | ( | const PropertyObserver & |  | ) | `[inline]`

## Friends And Related Function Documentation

friend class Observergraph`[friend]`

friend class PropertyInterface`[friend]`

Tulip Software by LaBRI Visualization Team 2001 - 2012